Bug 384231 - Bristle engine rotation ignores drawing angle
Summary: Bristle engine rotation ignores drawing angle
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: vanyossi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 14:58 UTC by Jörn PM
Modified: 2019-07-17 09:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
bristle brush results with rotation set to drawing angle (2.10 MB, image/jpeg)
2017-08-31 14:58 UTC, Jörn PM
Details
brush settings (135.34 KB, image/jpeg)
2017-08-31 14:59 UTC, Jörn PM
Details
4.2.2 paint behaviour on drawing angle (121.81 KB, image/png)
2019-07-12 04:47 UTC, vanyossi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jörn PM 2017-08-31 14:58:39 UTC
Created attachment 107622 [details]
bristle brush results with rotation set to drawing angle

I have created a custom brush using the bristle engine, with rotation depending on drawing angle.

As shown in the attached images, the drawing angle is ignored (compare with regular pixel engine brush).

There is also a message in the console when using the bristle brush:

krita.general: KisPaintInformation::drawingAngle() Cannot access Distance Info last dab data
Comment 1 Jörn PM 2017-08-31 14:59:10 UTC
Created attachment 107623 [details]
brush settings
Comment 2 Jörn PM 2017-08-31 15:01:12 UTC
using git master, e651f4248079d0
Comment 3 Alvin Wong 2017-11-18 14:17:53 UTC
Reproduced also on 3.3.2
Comment 4 vanyossi 2019-07-12 04:47:20 UTC
Created attachment 121478 [details]
4.2.2 paint behaviour on drawing angle

Current 4.2.2 Rotation is correct on normal view, mirrored view has reversed rotation.

On attachment: to the left normal view, to the right stroke after mirrored view
Comment 5 vanyossi 2019-07-17 00:04:46 UTC
Git commit 15ccec5595d91858ddfac21d99dfe4c53235a128 by Ivan Yossi.
Committed on 17/07/2019 at 00:04.
Pushed by ivany into branch 'master'.

Apply negative rotation on mirrored View for Bristle Engine

M  +6    -1    plugins/paintops/hairy/kis_hairy_paintop.cpp
M  +2    -0    plugins/paintops/hairy/kis_hairy_paintop.h

https://invent.kde.org/kde/krita/commit/15ccec5595d91858ddfac21d99dfe4c53235a128
Comment 6 Halla Rempt 2019-07-17 09:13:47 UTC
Git commit 9da3ebd09cd0568998db871db5d6f14f58f573b2 by Boudewijn Rempt, on behalf of Ivan Yossi.
Committed on 17/07/2019 at 09:13.
Pushed by rempt into branch 'krita/4.2'.

Apply negative rotation on mirrored View for Bristle Engine

M  +6    -1    plugins/paintops/hairy/kis_hairy_paintop.cpp
M  +2    -0    plugins/paintops/hairy/kis_hairy_paintop.h

https://invent.kde.org/kde/krita/commit/9da3ebd09cd0568998db871db5d6f14f58f573b2